function los=vyst4(regulator_parameters,system,apriori,N)
los=zeros(4,3);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
regulator_parameters.horizont=5;
apriori.P0=1;
apriori.b0=0;
los(:,1)=mc_study(regulator_parameters,system,apriori,N,[regulator_parameters.horizont 10 apriori.b0]);

apriori.b0=1;
los(:,2)=mc_study(regulator_parameters,system,apriori,N,[regulator_parameters.horizont 10 apriori.b0]);

apriori.b0=10;
los(:,3)=mc_study(regulator_parameters,system,apriori,N,[regulator_parameters.horizont 10 apriori.b0]);

figure

bar(los,'grouped')
colormap summer 
set(gca,'ylim',[0 10])

title('\fontsize{18}  N = 5, P_0 = 1') 
legend('{}_{^{\fontsize{18}\theta}}^{\fontsize{16}\^}_{0} = 0','{}_{^{\fontsize{18}\theta}}^{\fontsize{16}\^}_{0} = 1','{}_{^{\fontsize{18}\theta}}^{\fontsize{16}\^}_{0} = 10')
set(gca,'xtick',[]);
text(0.6,-0.5,'\fontsize{18} CEC')
text(1.75,-0.5,'\fontsize{18} CC')
text(2.65,-0.5,'\fontsize{18} SIDP')
text(3.75,-0.5,'\fontsize{18} DP')
set( get(gcf, 'Children'), 'FontSize', 18);
text(-0.5,10,'\fontsize{18}<')

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
apriori.P0=10;
apriori.b0=0;
los(:,1)=mc_study(regulator_parameters,system,apriori,N,[regulator_parameters.horizont 10 apriori.b0]);

apriori.b0=1;
los(:,2)=mc_study(regulator_parameters,system,apriori,N,[regulator_parameters.horizont 10 apriori.b0]);

apriori.b0=10;
los(:,3)=mc_study(regulator_parameters,system,apriori,N,[regulator_parameters.horizont 10 apriori.b0]);

figure

bar(los,'grouped')
colormap summer 
set(gca,'ylim',[0 10])

title('\fontsize{18}  N = 5, P_0 = 10') 
legend('{}_{^{\fontsize{18}\theta}}^{\fontsize{16}\^}_{0} = 0','{}_{^{\fontsize{18}\theta}}^{\fontsize{16}\^}_{0} = 1','{}_{^{\fontsize{18}\theta}}^{\fontsize{16}\^}_{0} = 10')
set(gca,'xtick',[]);
text(0.6,-0.5,'\fontsize{18} CEC')
text(1.75,-0.5,'\fontsize{18} CC')
text(2.65,-0.5,'\fontsize{18} SIDP')
text(3.75,-0.5,'\fontsize{18} DP')
set( get(gcf, 'Children'), 'FontSize', 18);
text(-0.5,10,'\fontsize{18}<')

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
regulator_parameters.horizont=10;
apriori.P0=1;
apriori.b0=0;
los(:,1)=mc_study(regulator_parameters,system,apriori,N,[regulator_parameters.horizont 10 apriori.b0]);

apriori.b0=1;
los(:,2)=mc_study(regulator_parameters,system,apriori,N,[regulator_parameters.horizont 10 apriori.b0]);

apriori.b0=10;
los(:,3)=mc_study(regulator_parameters,system,apriori,N,[regulator_parameters.horizont 10 apriori.b0]);

figure

bar(los,'grouped')
colormap summer 
set(gca,'ylim',[0 10])

title('\fontsize{18}  N = 10, P_0 = 1') 
legend('{}_{^{\fontsize{18}\theta}}^{\fontsize{16}\^}_{0} = 0','{}_{^{\fontsize{18}\theta}}^{\fontsize{16}\^}_{0} = 1','{}_{^{\fontsize{18}\theta}}^{\fontsize{16}\^}_{0} = 10')
set(gca,'xtick',[]);
text(0.6,-0.5,'\fontsize{18} CEC')
text(1.75,-0.5,'\fontsize{18} CC')
text(2.65,-0.5,'\fontsize{18} SIDP')
text(3.75,-0.5,'\fontsize{18} DP')
set( get(gcf, 'Children'), 'FontSize', 18);
text(-0.5,10,'\fontsize{18}<')

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
apriori.P0=10;
apriori.b0=0;
los(:,1)=mc_study(regulator_parameters,system,apriori,N,[regulator_parameters.horizont 10 apriori.b0]);

apriori.b0=1;
los(:,2)=mc_study(regulator_parameters,system,apriori,N,[regulator_parameters.horizont 10 apriori.b0]);

apriori.b0=10;
los(:,3)=mc_study(regulator_parameters,system,apriori,N,[regulator_parameters.horizont 10 apriori.b0]);

figure

bar(los,'grouped')
colormap summer 
set(gca,'ylim',[0 10])

title('\fontsize{18}  N = 10, P_0 = 10') 
legend('{}_{^{\fontsize{18}\theta}}^{\fontsize{16}\^}_{0} = 0','{}_{^{\fontsize{18}\theta}}^{\fontsize{16}\^}_{0} = 1','{}_{^{\fontsize{18}\theta}}^{\fontsize{16}\^}_{0} = 10')
set(gca,'xtick',[]);
text(0.6,-0.5,'\fontsize{18} CEC')
text(1.75,-0.5,'\fontsize{18} CC')
text(2.65,-0.5,'\fontsize{18} SIDP')
text(3.75,-0.5,'\fontsize{18} DP')
set( get(gcf, 'Children'), 'FontSize', 18);
text(-0.5,10,'\fontsize{18}<')

end